# $Revision: 1.19 $, $Date: 2010/11/13 00:53:40 $
Summary:	A DLNA/UPnP MediaServer protocol implementation
Summary(pl.UTF-8):	Implementacja protokołu DLNA/UPnP MediaServer
Name:		python-coherence
Version:	0.6.6.2
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	https://coherence.beebits.net/download/Coherence-%{version}.tar.gz
# Source0-md5:	d7a1b4abf6831c61e37a3b9e2bdc560a
Source1:	org.Coherence.service
URL:		https://coherence.beebits.net/
BuildRequires:	python-TwistedWeb
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
Requires:	python-Louie
Requires:	python-TwistedCore
Requires:	python-TwistedWeb
Requires:	python-configobj
Requires:	python-setuptools
%pyrequires_eq	python-modules
# For applet:
Suggests:	python-PyQt4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
As a stand-alone application Coherence acts as a DLNA/UPnP MediaServer
and exports local and remote media files via its plugins to other UPnP
clients.

And together with GStreamer it forms a controllable DLNA/UPnP
MediaRenderer.

%description -l pl.UTF-8
Samodzielna aplikacja Coherence służy jako serwer mediów DLNA/UPnP,
udostępniając lokalne i zdalne pliki multimedialne poprzez wtyczki dla
innych klientów UPnP.

Wraz z GStreamerem tworzy sterowalny renderer mediów DLNA/UPnP.

%prep
%setup -q -n Coherence-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/dbus-1/services
install %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.Coherence.service

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" | xargs rm
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/misc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/*
%{_datadir}/dbus-1/services/org.Coherence.service

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-coherence.spec,v $
Revision 1.19  2010/11/13 00:53:40  pawelz
- BR: python-TwistedWeb
- rel 3

Revision 1.18  2010/11/13 00:18:45  pawelz
- release 2

Revision 1.17  2010/11/05 11:34:58  caleb
- Up to 0.6.6.2

Revision 1.16  2010/07/08 08:04:10  arekm
- release 3

Revision 1.15  2009/08/11 22:59:57  patrys
- add D-Bus service file
- rel 2

Revision 1.14  2009/08/11 22:53:56  patrys
- 0.6.4

Revision 1.13  2009/07/08 10:32:05  blues
- suggests for applet and TODO for package separation

Revision 1.12  2009/03/14 22:04:24  duddits
- up to 0.6.2

Revision 1.11  2009/01/01 13:17:27  wiget
- updated to 0.6.0

Revision 1.10  2008/10/03 17:47:27  arekm
- release 4

Revision 1.9  2008/07/07 19:48:46  dzeus
- rel. 3

Revision 1.8  2008/05/03 18:51:35  patrys
- better packaging

Revision 1.7  2008-05-03 16:31:16  patrys
- 0.5.6

Revision 1.6  2008-04-14 21:21:58  qboosh
- pl fix, BR: pythonprov

Revision 1.5  2008-03-25 20:20:14  sls
- BR: python-setuptools

Revision 1.4  2007-12-26 20:17:41  patrys
- patch for python syntax

Revision 1.3  2007-12-26 19:29:07  blekot
- added pl

Revision 1.2  2007-12-26 19:16:48  blekot
- BR: python-setuptools

Revision 1.1  2007-12-26 19:12:34  patrys
- initial PLD release
